Skip to main content
DELETE
/
api
/
v1
/
policies
/
{id}
Delete Policy
curl --request DELETE \
  --url https://api.agentwallex.com/api/v1/policies/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "deleted": true
}

Path Parameters

id
string
required
The policy ID to delete (e.g., pol_abc123).
Deleting a policy removes the constraint immediately. Ensure you have other policies in place to maintain security.

Example

curl -X DELETE https://api.agentwallex.com/api/v1/policies/pol_abc123 \
  -H "X-API-Key: awx_your_api_key"

Authorizations

X-API-Key
string
header
required

API key authentication. Keys are prefixed with awx_.

Path Parameters

id
string
required

The policy ID to delete (e.g., pol_abc123).

Response

Policy deleted successfully.

id
string

The deleted policy ID.

deleted
boolean

Confirmation of deletion.